%define realname childsplay_sp
%define alphabet_ver 0.8.5

Name:           childsplay
Version:        1.3
Release:        1%{?dist}
Summary:        Suite of educational games for young children
Group:          Amusements/Games
License:        GPLv3
URL:            http://www.schoolsplay.org/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tgz
Source1:        childsplay.desktop
Source2:        childsplay.README.RPM
Source10:       alphabet_sounds_ca-%{alphabet_ver}.tgz
Source11:       alphabet_sounds_de-%{alphabet_ver}.tgz
Source12:       alphabet_sounds_es-%{alphabet_ver}.tgz
Source13:       alphabet_sounds_fr-%{alphabet_ver}.tgz
Source14:       alphabet_sounds_it-%{alphabet_ver}.tgz
Source15:       alphabet_sounds_nl-%{alphabet_ver}.tgz
Source16:       alphabet_sounds_ru-%{alphabet_ver}.tgz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  desktop-file-utils
Requires:       pygame
Requires:       python-sqlalchemy
Requires:       hicolor-icon-theme
Requires:       pyfribidi

Provides:       childsplay_sp = %{version}-%{release}
Provides:       childsplay_plugins = %{version}-%{release}
Obsoletes:      childsplay_plugins <= 0.90

%global python_sitedir %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")


%description
Childsplay is a suite of educational games for young children. It's written in
Python and uses the SDL-libraries. The aim is to be educational and at the same
time be fun to play.

Some activities make use of language dependent voice samples, these sounds are
shared with gcompris. For those you'll have to install the gcompris-sound
package for the languages you intend to use. For example gcompris-sound-en .


%package alphabet_sounds_ca
Summary:        Catalan alphabet sounds for Childsplay
Group:          Amusements/Games
Requires:       %{name} = %{version}-%{release}
%description alphabet_sounds_ca
Catalan alphabet sounds for Childsplay


%package alphabet_sounds_de
Summary:        German alphabet sounds for Childsplay
Group:          Amusements/Games
Requires:       %{name} = %{version}-%{release}
%description alphabet_sounds_de
German alphabet sounds for Childsplay


%package alphabet_sounds_es
Summary:        Spanish alphabet sounds for Childsplay
Group:          Amusements/Games
Requires:       %{name} = %{version}-%{release}
%description alphabet_sounds_es
Spanish alphabet sounds for Childsplay


%package alphabet_sounds_fr
Summary:        French alphabet sounds for Childsplay
Group:          Amusements/Games
Requires:       %{name} = %{version}-%{release}
%description alphabet_sounds_fr
French alphabet sounds for Childsplay


%package alphabet_sounds_it
Summary:        Italian alphabet sounds for Childsplay
Group:          Amusements/Games
Requires:       %{name} = %{version}-%{release}
%description alphabet_sounds_it
Italian alphabet sounds for Childsplay


%package alphabet_sounds_nl
Summary:        Dutch alphabet sounds for Childsplay
Group:          Amusements/Games
Requires:       %{name} = %{version}-%{release}
%description alphabet_sounds_nl
Dutch alphabet sounds for Childsplay


%package alphabet_sounds_ru
Summary:        Russian alphabet sounds for Childsplay
Group:          Amusements/Games
Requires:       %{name} = %{version}-%{release}
%description alphabet_sounds_ru
Russian alphabet sounds for Childsplay


%prep
%setup -q -a 10 -a 11 -a 12 -a 13 -a 14 -a 15 -a 16
# we don't use the buggy provided install
rm setup.py
rm `find alphabet_sounds_??-%{alphabet_ver} -name install.py`
rm -rf po
# fixup the python scripts to call python directly and make them executable
sed -i 's!/usr/bin/env python!%{_bindir}/python!' bin/%{name}
#Fix a typo in the German sounds directory name
mv alphabet_sounds_de-%{alphabet_ver}/FlashCardSounds alphabet_sounds_de-%{alphabet_ver}/FlashCardsSounds
cp %{SOURCE2} README.RPM
# fix wrong end of line encoding
sed -i -e 's|\r||g' doc/license.txt


%build
# setup.py is not really usable for our needs
echo "## Automated file please do not edit" > SPBasePaths.py
echo "# This module holds all the paths needed for %{name}." >> SPBasePaths.py
echo "DOCDIR = '%{_datadir}/doc/%{name}-%{version}'" >> SPBasePaths.py
echo "PYTHONCPDIR = '%{python_sitedir}/%{realname}'" >> SPBasePaths.py
echo "BASEDIR = '%{_datadir}/%{realname}'" >> SPBasePaths.py
echo "SHARELIBDATADIR = '%{_datadir}/%{realname}'" >> SPBasePaths.py
echo "ALPHABETDIR = '%{_datadir}/%{realname}/alphabetsounds'" >> SPBasePaths.py
echo "LOCALEDIR = '%{_datadir}/locale'" >> SPBasePaths.py


%install
rm -rf $RPM_BUILD_ROOT
# setup.py is not really usable for our needs
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{python_sitedir}/%{realname}/lib
mkdir -p $RPM_BUILD_ROOT%{_datadir}/locale
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{realname}

cp -a bin/%{name}  $RPM_BUILD_ROOT%{_bindir}

cp -a lib/CPData $RPM_BUILD_ROOT%{_datadir}/%{realname}
cp -a lib/SPData $RPM_BUILD_ROOT%{_datadir}/%{realname}
cp -a alphabetsounds $RPM_BUILD_ROOT%{_datadir}/%{realname}
cp -a locale/* $RPM_BUILD_ROOT%{_datadir}/locale

cp -a *.py $RPM_BUILD_ROOT%{python_sitedir}/%{realname}
cp -a gui $RPM_BUILD_ROOT%{python_sitedir}/%{realname}
cp -a lib/*.py $RPM_BUILD_ROOT%{python_sitedir}/%{realname}/lib
cp -a ocempgui $RPM_BUILD_ROOT%{python_sitedir}/%{realname}

%find_lang %{realname}

# below is the desktop file and icon stuff.
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install --vendor fedora            \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  %{SOURCE1}

mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/64x64/apps
install -p -m 644 lib/SPData/menu/default/logo_cp_64x64.png \
  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/64x64/apps/%{name}.png

#Alphabet sounds
for sounds in ca de es fr it nl ru
do
  cp -a alphabet_sounds_$sounds-%{alphabet_ver}/AlphabetSounds/$sounds $RPM_BUILD_ROOT%{_datadir}/%{realname}/alphabetsounds
  cp -a alphabet_sounds_$sounds-%{alphabet_ver}/FlashCardsSounds/$sounds $RPM_BUILD_ROOT%{_datadir}/%{realname}/CPData/FlashcardsData/names
done


%clean
rm -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%files -f %{realname}.lang
%defattr(-, root, root, -)
%doc Changelog COPYING doc/* README README.RPM
%{_bindir}/%{name}
%dir %{_datadir}/%{realname}
%{_datadir}/%{realname}/SPData
%{_datadir}/%{realname}/CPData/*.*
%{_datadir}/%{realname}/CPData/BilliardData
%{_datadir}/%{realname}/CPData/FallinglettersData
%{_datadir}/%{realname}/CPData/FindsoundData
%{_datadir}/%{realname}/CPData/FishtankData
%{_datadir}/%{realname}/CPData/FlashcardsData/cards
%{_datadir}/%{realname}/CPData/FlashcardsData/sounds
%{_datadir}/%{realname}/CPData/FlashcardsData/names/en
%{_datadir}/%{realname}/CPData/LMemoryData
%{_datadir}/%{realname}/CPData/MemoryData
%{_datadir}/%{realname}/CPData/PackidData
%{_datadir}/%{realname}/CPData/PongData
%{_datadir}/%{realname}/CPData/PuzzleData
%{_datadir}/%{realname}/CPData/SoundmemoryData
%{_datadir}/%{realname}/alphabetsounds/en
%{python_sitedir}/%{realname}
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png


%files alphabet_sounds_ca
%defattr(-, root, root, -)
%doc  alphabet_sounds_ca-%{alphabet_ver}/copyright  alphabet_sounds_ca-%{alphabet_ver}/GPL-2
%{_datadir}/%{realname}/CPData/FlashcardsData/names/ca
%{_datadir}/%{realname}/alphabetsounds/ca


%files alphabet_sounds_de
%defattr(-, root, root, -)
%doc  alphabet_sounds_de-%{alphabet_ver}/copyright  alphabet_sounds_de-%{alphabet_ver}/GPL-2
%{_datadir}/%{realname}/CPData/FlashcardsData/names/de
%{_datadir}/%{realname}/alphabetsounds/de


%files alphabet_sounds_es
%defattr(-, root, root, -)
%doc  alphabet_sounds_es-%{alphabet_ver}/copyright  alphabet_sounds_es-%{alphabet_ver}/GPL-2
%{_datadir}/%{realname}/CPData/FlashcardsData/names/es
%{_datadir}/%{realname}/alphabetsounds/es


%files alphabet_sounds_fr
%defattr(-, root, root, -)
%doc  alphabet_sounds_fr-%{alphabet_ver}/copyright  alphabet_sounds_fr-%{alphabet_ver}/GPL-2
%{_datadir}/%{realname}/CPData/FlashcardsData/names/fr
%{_datadir}/%{realname}/alphabetsounds/fr


%files alphabet_sounds_it
%defattr(-, root, root, -)
%doc  alphabet_sounds_it-%{alphabet_ver}/copyright  alphabet_sounds_it-%{alphabet_ver}/GPL-2
%{_datadir}/%{realname}/CPData/FlashcardsData/names/it
%{_datadir}/%{realname}/alphabetsounds/it


%files alphabet_sounds_nl
%defattr(-, root, root, -)
%doc  alphabet_sounds_nl-%{alphabet_ver}/copyright  alphabet_sounds_nl-%{alphabet_ver}/GPL-2
%{_datadir}/%{realname}/CPData/FlashcardsData/names/nl
%{_datadir}/%{realname}/alphabetsounds/nl


%files alphabet_sounds_ru
%defattr(-, root, root, -)
%doc  alphabet_sounds_ru-%{alphabet_ver}/copyright  alphabet_sounds_ru-%{alphabet_ver}/GPL-2
%{_datadir}/%{realname}/CPData/FlashcardsData/names/ru
%{_datadir}/%{realname}/alphabetsounds/ru


%changelog
* Sat May 23 2009 Johan Cwiklinski <johan AT x-tnd DOT be> 1.3-1
- 1.3

* Sun Mar 29 2009 Johan Cwiklinski <johan AT x-tnd DOT be> 1.1-2
- Versions for Obsoletes and Provides were inverted

* Sun Mar 29 2009 Johan Cwiklinski <johan AT x-tnd DOT be> 1.1-1
- Upgrade to 1.1
- Added localized alphabet sounds

* Thu Jan 17 2008 Hans de Goede <j.w.r.degoede@hhs.nl> 0.90.2-1
- New upstream version 0.90.2
- Drop upstreamed replace-cfg patch

* Sun Aug 26 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 0.90-1
- New upstream version 0.90, license changed to GPL version 3,
  no other changes.

* Mon Aug  6 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 0.85.1-3 
- Update License tag for new Licensing Guidelines compliance

* Thu Jun  7 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 0.85.1-2
- Add pyfribidi Requires for Hebrew support

* Fri Dec 22 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 0.85.1-1
- New upstream release 0.85.1

* Tue Oct 31 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 0.84.1-1
- New upstream release 0.84.1
- Install the (still used) assetml files under %%{_datadir}/%%{name} instead
  of under %%{_datadir}/assetml, since we no longer ship libassetml

* Fri Sep 22 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 0.83.1-1
- New upstream release 0.83.1

* Wed Sep  6 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 0.83-2
- Don't %%ghost the .pyo files (bug 205370)

* Sun Aug 27 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 0.83-1
- New upstream version 0.83

* Thu May 11 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 0.81.8-3
- Fix not finding of initial/default childsplayrc file.

* Wed May 10 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 0.81.8-2
- Ghost .pyo files
- BR: desktop-file-utils

* Fri May  5 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 0.81.8-1
- Initial package
